import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
    selector: 'app-menu',
    templateUrl: './menu.component.html',
    styleUrls: ['./menu.component.css'],
})
export class MenuComponent {
    constructor(private router: Router) {}

    navigateToGame(): void {
        this.router.navigate(['/game']);
    }

    navigateToOptions(): void {
        this.router.navigate(['/options'], { state: { mode: 'full' } });
    }
}